import httpRequest from '@/utils/axios'

/**
 * 上传文件
 */
export function uploadFile(data) {
  return httpRequest.post('/api/lms/util/upload-file', data, {
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

/**
 * 获取学生信息
 */
export function getUserSchoolInfo() {
  return httpRequest.get('/api/zy/user/getinfo')
}

/**
 * 获取学员得分记录
 */
export function getRecordsScore(params) {
  return httpRequest.get('/api/opera/v3/api/training/rank/member-score-records', { params })
}

/**
 * 获取学员得分记录
 */
export function getRank(params) {
  return httpRequest.get('/api/opera/v3/api/training/rank/case-training', { params })
}

/**
 * 获取用户等级
 */
export function getUserGrade() {
  return httpRequest.get('/api/opera/v3/api/user/level')
}

/* 获取案例列表 */
export function getCaseList(params) {
  return httpRequest.get('/api/opera/v3/api/cases', { params })
}

/* 选中案例 */
export function confirmCases(data) {
  return httpRequest.post('/api/opera/v3/api/case/select', data)
}

/* 用户群列表 */
export function getUserGroup(params) {
  return httpRequest.get('/api/opera/v3/api/groups', { params })
}

/* 用户群列表详情 */
export function getUserGroupDetail(params) {
  return httpRequest.get(`/api/opera/v3/oprations/${params}/cgroup`)
}

/* 触达列表 */
export function getTriggerList(params) {
  return httpRequest.get('/api/opera/v3/api/reach/list', { params })
}

/* 用户触达提交 */
export function submitTrigger(data) {
  return httpRequest.post('/api/opera/v3/api/reach/submit', data)
}

/* 用户触达提交文本 */
export function submitContext(data) {
  return httpRequest.post('/api/opera/v3/api/reach/submit/context', data)
}

/* 特征提交 */
export function submitCharacteristic(data) {
  return httpRequest.post('/api/opera/v3/api/characteristic/submit', data)
}

/* 获取所以分类 */
export function getClassifyList(params) {
  return httpRequest.get('/api/opera/v3/api/training/categories', { params })
}

/* 3.0 接口 */
/* 获取案例分类 */
export function getUserConfig(id) {
  return httpRequest.get(`/api/opera/v3/api/training/${id}/user-use-configs`)
}

/* 获取案例列表 */
export function newGetCaseList(id) {
  return httpRequest.get(`/api/opera/v3/api/training/${id}/cases`)
}

/* 提交特征 */
export function submitCharacteristics(data) {
  return httpRequest.post('/api/opera/v3/api/training/characteristic/submit', data, {
    headers: { 'Content-Type': 'application/json' }
  })
}

/* 提交特征 */
export function clearScore(data) {
  return httpRequest.post('/api/opera/v3/api/training/characteristic/clear-score', data)
}

/* 提交特征 */
export function allSubmit(data) {
  return httpRequest.post('/api/opera/v3/api/training/statistics/submit', data)
}

/* 得分排行榜 */
export function rankingList(data) {
  return httpRequest.get('/api/opera/v3/api/rank/cases-training', data)
}
